How can we improve game mods and CurseForge?

When searching, it would be nice to add a filter for the mod loaders

For example, we have the current options
Sort By: [Date Created, Last Updated, Name, Popularity, Total Downloads]
Game Version: [1.14.2, 1.13.2, ...]

It would be nice to add the following:
Mod Loader: [Forge, Fabric (1.14.x), Rift (1.13.x)] or [Forge, Other]

This would be greatly appreciated.
You could simply add a checkbox when uploading mods to the site to signify that the mod is not a forge mod.

14 votes
Sign in Sign in with OpenID Connect
Signed in as (Sign out)

We’ll send you updates on this idea

mikeagan shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

2 comments

Sign in Sign in with OpenID Connect
Signed in as (Sign out)
Submitting...
  • Venrexx commented  ·   ·  Flag as inappropriate

    Yes, this is sorely needed. Now that Fabric also exists, sifting through mods to see what ones works for Fabric and what ones work for Forge is more than a little frustrating.

  • Fireztonez commented  ·   ·  Flag as inappropriate

    Totally agree, this is a big thing missing... When you search for mods, now you always have to look if the mod is for the Minecraft version you need. A mod made for Minecraft 1.12.2 will not work with minecraft 1.14.2 and sometime you see mods only availiable for 1.7.10. I think this is a necessity to have that option.

    And, you always see the most popular firsrt, but this is totally impossible to change the order question to see the latest updated mod or the newers mod first...

Feedback and Knowledge Base